Skip to main content
`Ctrl`+`K`

# DSNEPMatrixFunctionFn

A prototype of a `DSNEP` compute matrix function that would be passed to `DSNEPSetComputeMatrixFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DSNEPMatrixFunctionFn(DS ds,PetscScalar lambda,PetscBool deriv,DSMatType mat,void *ctx);

## Calling Sequence

- ds - the direct solver object

- lambda - point where \(T(\lambda)\) or \(T'(\lambda)\) must be evaluated

- deriv - if true compute \(T'(\lambda)\), otherwise compute \(T(\lambda)\)

- mat - the `DS` matrix where the result must be stored

- ctx - [optional] user-defined context for private data for the matrix evaluation routine (may be `NULL`)

## See Also

DS: Direct Solver (or Dense System), `DSNEPSetComputeMatrixFunction()`

## Level

developer

## Location

include/slepcds.h

Index of all DS routines Table of Contents for all manual pages Index of all manual pages